﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using Performance.DtoModels;
using Performance.DtoModels.AppSettings;
using Performance.EntityModels;
using Performance.Infrastructure;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    public class TemplateController : Controller
    {
        private readonly TemplateService templateService;

        public TemplateController(TemplateService templateService)
        {
            this.templateService = templateService;
        }

        public ApiResponse Download()
        {
            //templateService.Download();

            return new ApiResponse(ResponseType.OK);
        }
    }
}